%define InstallPrefix /usr/local
%define GGIVersion 2.0.0
%define GGIVerMajor 2
%define GGIMiscVersion 1.0.0
%define GGIMiscVerMajor 1
Name: libggi
Version: 2.0beta2
Release: 1
Copyright: MIT
Group: Libraries
Summary: libggi shared libraries and config files
Url: http://www.ggi-project.org/
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Distribution: Red Hat Contrib|Net
Requires: libgii
Source: ftp://ftp.ggi-project.org/pub/ggi/ggi/2_0_beta_2/libggi-2.0b2.tar.gz

%description
LibGGI, the dynamic GGI (General Graphics Interface) library is a flexible
drawing library.

It provides an opaque interface to the display's acceleration functions. It
was originally intended to allow user programs to interface with KGI, the
GGI Kernel Graphics Interface, but other display types can be easily used by
loading the appropriate "display target" (e.g. X, memory).

LibGGI consists of a main library (libggi.so) and a multitude of
dynamic drivers. The library then loads the necessary "drivers" for the
requested mode, taking hints from the graphics device if necessary. LibGGI
can also load extension libraries, e.g. to provide enhanced 2D and 3D
functions.

LibGGI is a part of GGI (Generic Graphic Interface).
See http://www.ggi-project.org/ for more info.

This package contains all shared run-time LibGGI libraries.

%package devel
Requires: libggi
Group: Development/Libraries
Summary: LibGGI include and libtool files.
Copyright: Public Domain

%description devel
LibGGI, the dynamic GGI (General Graphics Interface) library is a flexible
drawing library.

It provides an opaque interface to the display's acceleration functions. It
was originally intended to allow user programs to interface with KGI, the
GGI Kernel Graphics Interface, but other display types can be easily used by
loading the appropriate "display target" (e.g. X, memory).

LibGGI consists of a main library (libggi.so) and a multitude of
dynamic drivers. The library then loads the necessary "drivers" for the
requested mode, taking hints from the graphics device if necessary. LibGGI
can also load extension libraries, e.g. to provide enhanced 2D and 3D
functions.

LibGGI is a part of GGI (Generic Graphic Interface).
See http://www.ggi-project.org/ for more info.

%package demos
Requires: libggi
Group: Demos
Summary: LibGGI sample programs.
Copyright: Public Domain

%description demos
LibGGI, the dynamic GGI (General Graphics Interface) library is a flexible
drawing library.

It provides an opaque interface to the display's acceleration functions. It
was originally intended to allow user programs to interface with KGI, the
GGI Kernel Graphics Interface, but other display types can be easily used by
loading the appropriate "display target" (e.g. X, memory).

LibGGI consists of a main library (libggi.so) and a multitude of
dynamic drivers. The library then loads the necessary "drivers" for the
requested mode, taking hints from the graphics device if necessary. LibGGI
can also load extension libraries, e.g. to provide enhanced 2D and 3D
functions.

LibGGI is a part of GGI (Generic Graphic Interface).
See http://www.ggi-project.org/ for more info.

%changelog
* Tue Apr 06 1999 Jaromir Koutek <miri@punknet.cz>
  [libggi-2.0.0beta2]
  - Using libggi 2.0 beta 2 official snapshot
  
* Wed Dec 30 1998 Jaromir Koutek <miri@punknet.cz>
  [libggi-2.0.0beta1]
  - Using libggi 2.0 beta 1 official snapshot
  
* Mon Dec 21 1998 Jaromir Koutek <miri@punknet.cz>
  [libggi-CVS-devel-981221]
  - Updated for use in RH Contrib|Net
  
* Sun Dec 13 1998 Jaromir Koutek <miri@punknet.cz>
  [libggi-2.0.0-devel-981213]
  - Changes for upcoming libggi 2.0 release
  - ./configure used
  
* Fri Aug 14 1998 Jaromir Koutek <miri@punknet.cz>
  [libggi-1.4.0-devel-980814]
  - KGI target is disabled due to bugs in compilation
  - Added fbdev and palemu targets

* Wed Jul  8 1998 Jaromir Koutek <miri@punknet.cz>
  [libggi-1.4.0-devel-980707]
  - Changelog started.
  - Added bugfix for svgalib install bug.

%prep
%setup -n libggi-2.0b2

%build
OPTIONS="--prefix=%{InstallPrefix}"
./configure $OPTIONS
make

%install
make install
cd programs/demos/.libs/
install -s * %{InstallPrefix}/bin/
cd ../warp-ggi/.libs/
install -s * %{InstallPrefix}/bin/

%post
LDSOCONF=/etc/ld.so.conf
LIBGGIPATH=%{InstallPrefix}/lib
if [ x`grep -c "$LIBGGIPATH" $LDSOCONF` = x0 ]; then
echo "Can't find $LIBGGIPATH in your $LDSOCONF. Adding."
echo -e "\n$LIBGGIPATH" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
LDSOCONF=/etc/ld.so.conf
LIBGGIPATH=%{InstallPrefix}/lib
echo "Warning: uninstall did not remove $LIBGGIPATH in your $LDSOCONF."
/sbin/ldconfig

%files
%defattr(-,root,root)
%config %{InstallPrefix}/etc/ggi/libggi.conf
%config %{InstallPrefix}/etc/ggi/libggimisc.conf
%config %{InstallPrefix}/etc/ggi/targets/fbdev.conf
%doc README
%doc doc/env.txt doc/targets.txt
%{InstallPrefix}/lib/libggi.so.%{GGIVersion}
%{InstallPrefix}/lib/libggi.so.%{GGIVerMajor}
%{InstallPrefix}/lib/libggimisc.so.%{GGIMiscVersion}
%{InstallPrefix}/lib/libggimisc.so.%{GGIMiscVerMajor}
%{InstallPrefix}/lib/ggi/default/color.so
%{InstallPrefix}/lib/ggi/default/ilbm.so
%{InstallPrefix}/lib/ggi/default/iplanar_2p.so
%{InstallPrefix}/lib/ggi/default/linear_1.so
%{InstallPrefix}/lib/ggi/default/linear_16.so
%{InstallPrefix}/lib/ggi/default/linear_1_r.so
%{InstallPrefix}/lib/ggi/default/linear_2.so
%{InstallPrefix}/lib/ggi/default/linear_24.so
%{InstallPrefix}/lib/ggi/default/linear_32.so
%{InstallPrefix}/lib/ggi/default/linear_4.so
%{InstallPrefix}/lib/ggi/default/linear_8.so
%{InstallPrefix}/lib/ggi/default/planar.so
%{InstallPrefix}/lib/ggi/default/stubs.so
%{InstallPrefix}/lib/ggi/default/text_16.so
%{InstallPrefix}/lib/ggi/default/text_32.so
%{InstallPrefix}/lib/ggi/display/X-misc.so
%{InstallPrefix}/lib/ggi/display/X.so
%{InstallPrefix}/lib/ggi/display/Xlib.so
#%{InstallPrefix}/lib/ggi/display/aa.so
%{InstallPrefix}/lib/ggi/display/fbdev.so
%{InstallPrefix}/lib/ggi/display/file.so
%{InstallPrefix}/lib/ggi/display/lin_vtsw.so
%{InstallPrefix}/lib/ggi/display/mansync.so
%{InstallPrefix}/lib/ggi/display/memory.so
%{InstallPrefix}/lib/ggi/display/monotext.so
%{InstallPrefix}/lib/ggi/display/multi.so
%{InstallPrefix}/lib/ggi/display/palemu.so
%{InstallPrefix}/lib/ggi/display/sub.so
#%{InstallPrefix}/lib/ggi/display/suidkgi.so
%{InstallPrefix}/lib/ggi/display/svgalib-misc.so
%{InstallPrefix}/lib/ggi/display/svgalib.so
%{InstallPrefix}/lib/ggi/display/tele.so
%{InstallPrefix}/lib/ggi/display/terminfo.so
%{InstallPrefix}/lib/ggi/display/tile.so
%{InstallPrefix}/lib/ggi/display/trueemu.so
%{InstallPrefix}/lib/ggi/display/vcsa.so
%{InstallPrefix}/lib/ggi/display/vgagl.so
%{InstallPrefix}/lib/ggi/display/xf86dga.so

%files devel
%doc doc/docbook/libggi-api.sgml
%{InstallPrefix}/lib/libggi.la
%{InstallPrefix}/lib/libggi.so
%{InstallPrefix}/lib/libggimisc.la
%{InstallPrefix}/lib/libggimisc.so
%{InstallPrefix}/lib/ggi/default/color.la
%{InstallPrefix}/lib/ggi/default/ilbm.la
%{InstallPrefix}/lib/ggi/default/iplanar_2p.la
%{InstallPrefix}/lib/ggi/default/linear_1.la
%{InstallPrefix}/lib/ggi/default/linear_16.la
%{InstallPrefix}/lib/ggi/default/linear_1_r.la
%{InstallPrefix}/lib/ggi/default/linear_2.la
%{InstallPrefix}/lib/ggi/default/linear_24.la
%{InstallPrefix}/lib/ggi/default/linear_32.la
%{InstallPrefix}/lib/ggi/default/linear_4.la
%{InstallPrefix}/lib/ggi/default/linear_8.la
%{InstallPrefix}/lib/ggi/default/planar.la
%{InstallPrefix}/lib/ggi/default/stubs.la
%{InstallPrefix}/lib/ggi/default/text_16.la
%{InstallPrefix}/lib/ggi/default/text_32.la
%{InstallPrefix}/lib/ggi/display/X-misc.la
%{InstallPrefix}/lib/ggi/display/X.la
%{InstallPrefix}/lib/ggi/display/Xlib.la
#%{InstallPrefix}/lib/ggi/display/aa.la
%{InstallPrefix}/lib/ggi/display/fbdev.la
%{InstallPrefix}/lib/ggi/display/file.la
%{InstallPrefix}/lib/ggi/display/lin_vtsw.la
%{InstallPrefix}/lib/ggi/display/mansync.la
%{InstallPrefix}/lib/ggi/display/memory.la
%{InstallPrefix}/lib/ggi/display/monotext.la
%{InstallPrefix}/lib/ggi/display/multi.la
%{InstallPrefix}/lib/ggi/display/palemu.la
%{InstallPrefix}/lib/ggi/display/sub.la
#%{InstallPrefix}/lib/ggi/display/suidkgi.la
%{InstallPrefix}/lib/ggi/display/svgalib-misc.la
%{InstallPrefix}/lib/ggi/display/svgalib.la
%{InstallPrefix}/lib/ggi/display/tele.la
%{InstallPrefix}/lib/ggi/display/terminfo.la
%{InstallPrefix}/lib/ggi/display/tile.la
%{InstallPrefix}/lib/ggi/display/trueemu.la
%{InstallPrefix}/lib/ggi/display/vcsa.la
%{InstallPrefix}/lib/ggi/display/vgagl.la
%{InstallPrefix}/lib/ggi/display/xf86dga.la
%{InstallPrefix}/include/ggi/ggi.h
%{InstallPrefix}/include/ggi/ggi_ext.h
%{InstallPrefix}/include/ggi/types.h
%{InstallPrefix}/include/ggi/ggi-unix.h
%{InstallPrefix}/include/ggi/display/aa.h
%{InstallPrefix}/include/ggi/display/fbdev.h
%{InstallPrefix}/include/ggi/display/file.h
%{InstallPrefix}/include/ggi/display/glide.h
%{InstallPrefix}/include/ggi/display/linvtsw.h
%{InstallPrefix}/include/ggi/display/mansync.h
%{InstallPrefix}/include/ggi/display/memory.h
%{InstallPrefix}/include/ggi/display/modelist.h
%{InstallPrefix}/include/ggi/display/monotext.h
%{InstallPrefix}/include/ggi/display/multi.h
%{InstallPrefix}/include/ggi/display/palemu.h
%{InstallPrefix}/include/ggi/display/sub.h
%{InstallPrefix}/include/ggi/display/svgalib.h
%{InstallPrefix}/include/ggi/display/tele.h
%{InstallPrefix}/include/ggi/display/tile.h
%{InstallPrefix}/include/ggi/display/trueemu.h
%{InstallPrefix}/include/ggi/display/vcsa.h
%{InstallPrefix}/include/ggi/display/x.h
%{InstallPrefix}/include/ggi/display/xf86dga.h
%{InstallPrefix}/include/ggi/display/xlib.h
%{InstallPrefix}/include/ggi/display/xcommon.h
%{InstallPrefix}/include/ggi/internal/debug.h
%{InstallPrefix}/include/ggi/internal/dltypes.h
%{InstallPrefix}/include/ggi/internal/ggi-dl.h
%{InstallPrefix}/include/ggi/internal/ggidlinit.h
%{InstallPrefix}/include/ggi/internal/ggilibinit.h
%{InstallPrefix}/include/ggi/internal/structs.h
%{InstallPrefix}/include/ggi/internal/internal.h
%{InstallPrefix}/include/ggi/internal/plat.h
%doc %{InstallPrefix}/man/man3/ggiAddFlags.3ggi
%doc %{InstallPrefix}/man/man3/ggiCheckGraphMode.3ggi
%doc %{InstallPrefix}/man/man3/ggiCheckMode.3ggi
%doc %{InstallPrefix}/man/man3/ggiCheckSimpleMode.3ggi
%doc %{InstallPrefix}/man/man3/ggiCheckTextMode.3ggi
%doc %{InstallPrefix}/man/man3/ggiClose.3ggi
%doc %{InstallPrefix}/man/man3/ggiCopyBox.3ggi
%doc %{InstallPrefix}/man/man3/ggiCrossBlit.3ggi
%doc %{InstallPrefix}/man/man3/ggiDBGetBuffer.3ggi
%doc %{InstallPrefix}/man/man3/ggiDBGetNumBuffers.3ggi
%doc %{InstallPrefix}/man/man3/ggiDrawBox.3ggi
%doc %{InstallPrefix}/man/man3/ggiDrawHLine.3ggi
%doc %{InstallPrefix}/man/man3/ggiDrawLine.3ggi
%doc %{InstallPrefix}/man/man3/ggiDrawPixel.3ggi
%doc %{InstallPrefix}/man/man3/ggiDrawVLine.3ggi
%doc %{InstallPrefix}/man/man3/ggiExit.3ggi
%doc %{InstallPrefix}/man/man3/ggiFPrintMode.3ggi
%doc %{InstallPrefix}/man/man3/ggiFillscreen.3ggi
%doc %{InstallPrefix}/man/man3/ggiFlush.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetBox.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetDisplayFrame.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetFlags.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetGCBackground.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetGCClipping.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetGCForeground.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetGamma.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetGammaMap.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetHLine.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetMode.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetOrigin.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetPalette.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetPixel.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetPixelFormat.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetReadFrame.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetSelectFdset.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetVLine.3ggi
%doc %{InstallPrefix}/man/man3/ggiGetWriteFrame.3ggi
%doc %{InstallPrefix}/man/man3/ggiInit.3ggi
%doc %{InstallPrefix}/man/man3/ggiMapColor.3ggi
%doc %{InstallPrefix}/man/man3/ggiOpen.3ggi
%doc %{InstallPrefix}/man/man3/ggiPackColors.3ggi
%doc %{InstallPrefix}/man/man3/ggiPanic.3ggi
%doc %{InstallPrefix}/man/man3/ggiParseMode.3ggi
%doc %{InstallPrefix}/man/man3/ggiPrintMode.3ggi
%doc %{InstallPrefix}/man/man3/ggiPutBox.3ggi
%doc %{InstallPrefix}/man/man3/ggiPutHLine.3ggi
%doc %{InstallPrefix}/man/man3/ggiPutPixel.3ggi
%doc %{InstallPrefix}/man/man3/ggiPutVLine.3ggi
%doc %{InstallPrefix}/man/man3/ggiPutc.3ggi
%doc %{InstallPrefix}/man/man3/ggiPuts.3ggi
%doc %{InstallPrefix}/man/man3/ggiRemoveFlags.3ggi
%doc %{InstallPrefix}/man/man3/ggiSPrintMode.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetDisplayFrame.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetFlags.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetGCBackground.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetGCClipping.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetGCForeground.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetGamma.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetGammaMap.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetGraphMode.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetMode.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetOrigin.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetPalette.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetReadFrame.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetSimpleMode.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetTextMode.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetWriteFrame.3ggi
%doc %{InstallPrefix}/man/man3/ggiUnmapPixel.3ggi
%doc %{InstallPrefix}/man/man3/ggiUnpackPixels.3ggi
%doc %{InstallPrefix}/man/man3/ggiSetColorfulPalette.3ggi
%doc %{InstallPrefix}/man/man3/ggiFlushRegion.3ggi
%doc %{InstallPrefix}/man/man3/ggiResourceAcquire.3ggi
%doc %{InstallPrefix}/man/man3/ggiResourceRelease.3ggi
#%doc %{InstallPrefix}/man/man3/ggiResourceMustAcquire.3ggi
%doc %{InstallPrefix}/man/man7/libggi.7ggi

%files demos
%{InstallPrefix}/bin/cube3d
%{InstallPrefix}/bin/flying_ggis
%{InstallPrefix}/bin/saver
%{InstallPrefix}/bin/stars
%{InstallPrefix}/bin/demo
%{InstallPrefix}/bin/pageflip
%{InstallPrefix}/bin/slimy
%{InstallPrefix}/bin/textdemo
%{InstallPrefix}/bin/warp
#%{InstallPrefix}/lib/ggi/leeloo.pcx
